using System.Windows.Forms;

namespace MyNamespace
{
	/// <summary>
	///		General purpose AboutForm.
	///
	/// ---------------- *** LEGAL NOTICE: *** ------------------
	///
	/// This program is free software; you can redistribute it and/or modify
	/// it under the terms of the GNU General Public License (GPL) as published
	/// by the Free Software Foundation. cf. the file COPYING.txt.
	///
	/// ------------ *** end of legal notice *** ------------------
	/// </summary>
	
	public partial class AboutForm : Form
	{
		public AboutForm()
		{
			InitializeComponent();

			this.Text = Global.title + " - About";
			this.linkLabelAbout.Text = Global.programURL;
			this.labelAbout.Text =	Global.name1	+ "\n" +
									Global.name2	+ "\n" +
									Global.version	+ "\n" +
									Global.author	+ "\n" +
									Global.address;
		}

		private void linkLabelAbout_LinkClicked(object sender, LinkLabelLinkClickedEventArgs e)
		{
			linkLabelAbout.LinkVisited = true;
			// call the Process.Start method to open the default browser with a URL:
			System.Diagnostics.Process.Start(Global.programURL);
		}
	}
}